Package org.codehaus.groovy.tools.groovydoc

# Class GroovyDocTool

java.lang.Object
org.codehaus.groovy.tools.groovydoc.GroovyDocTool

    public class GroovyDocTool
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.util.Properties` | `properties` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GroovyDocTool​(java.lang.String[] sourcepaths)` | Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
  `GroovyDocTool​(ResourceManager resourceManager, java.lang.String[] sourcepaths, java.lang.String classTemplate)` |
  `GroovyDocTool​(ResourceManager resourceManager, java.lang.String[] sourcepaths, java.lang.String[] docTemplates, java.lang.String[] packageTemplates, java.lang.String[] classTemplates, java.util.List<LinkArgument> links, java.util.Properties properties)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `add​(java.util.List<java.lang.String> filenames)` |
  `GroovyRootDoc` | `getRootDoc()` |
  `void` | `renderToOutput​(OutputTool output, java.lang.String destdir)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### properties

    protected java.util.Properties properties

- ## Constructor Details

  - ### GroovyDocTool

    public GroovyDocTool​(java.lang.String[] sourcepaths)
    Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
    Parameters:
      `sourcepaths` - where the sources to be added can be found

  - ### GroovyDocTool

    public GroovyDocTool​(ResourceManager resourceManager, java.lang.String[] sourcepaths, java.lang.String classTemplate)

  - ### GroovyDocTool

    public GroovyDocTool​(ResourceManager resourceManager, java.lang.String[] sourcepaths, java.lang.String[] docTemplates, java.lang.String[] packageTemplates, java.lang.String[] classTemplates, java.util.List<LinkArgument> links, java.util.Properties properties)

- ## Method Details

  - ### add

    public void add​(java.util.List<java.lang.String> filenames) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### getRootDoc

    public GroovyRootDoc getRootDoc()

  - ### renderToOutput

    public void renderToOutput​(OutputTool output, java.lang.String destdir) throws java.lang.Exception
    Throws:
      `java.lang.Exception`